// DLL.cpp : Defines the entry point for the DLL application.
//

#include "stdafx.h"
#include "DLL.h"

BOOL APIENTRY DllMain( HANDLE hModule, 
                       DWORD  ul_reason_for_call, 
                       LPVOID lpReserved
					 )
{
    switch (ul_reason_for_call)
	{
		case DLL_PROCESS_ATTACH:
		case DLL_THREAD_ATTACH:
		case DLL_THREAD_DETACH:
		case DLL_PROCESS_DETACH:
			break;
    }
    return TRUE;
}


// This is an example of an exported variable
DLL_API int nDLL=19;

// This is an example of an exported function.
DLL_API int fnDLL(void)
{
	return 42;
}

// This is the constructor of a class that has been exported.
// see DLL.h for the class definition
CDLL::CDLL()
{ 
	nMagic = 25;
	return; 
}

// This is an example of a function in the exported class
int CDLL::MyClassFun()
{
	return	nMagic;
}
